
@media(max-width:900px){

.header .container{

height:auto;

padding:20px 0;

flex-direction:column;

gap:18px;

}


.menu{

justify-content:center;

flex-wrap:wrap;

gap:14px;

}


.btn-whatsapp{

display:none;

}


.hero{

padding-top:200px;

}


.hero-grid{

grid-template-columns:1fr;

text-align:center;

gap:40px;

}


.hero h1{

font-size:2.5rem;

}


.hero p{

font-size:1rem;

}


.hero-buttons{

display:flex;

justify-content:center;

flex-wrap:wrap;

}


.about-grid{

grid-template-columns:1fr;

}


.section{

padding:80px 0;

}


.section h2{

font-size:2rem;

}


.gallery-grid{

grid-template-columns:1fr;

}


.gallery-grid img{

height:280px;

}


.cards{

grid-template-columns:1fr;

}

}



@media(max-width:480px){

.logo{

font-size:1.35rem;

}


.menu a{

font-size:.85rem;

}


.hero h1{

font-size:2rem;

}


.card{

padding:22px;

}


.section h2{

font-size:1.8rem;

}

}


/* ===== PREMIUM 3 MOBILE ===== */


@media(max-width:900px){


#diferenciais-premium .cards{

grid-template-columns:1fr;

}


.social{

flex-direction:column;

align-items:center;

}


.floating-whatsapp{

right:15px;

bottom:15px;

padding:14px 22px;

font-size:.9rem;

}


.cta{

padding-left:20px;

padding-right:20px;

}


}


@media(max-width:480px){


.floating-whatsapp{

width:auto;

max-width:90%;

}


.social a{

width:180px;

text-align:center;

}


}

